package com.jwipc.sys.constant;

/**
 * <p> </p>
 *
 * @author ZhangJie
 * @version 1.0
 * @since JDK 1.8
 */
public enum SupplierRoleType {
    /**
     * 单例对象
     */
    default_role("supplier_role", "供应商默认角色", "default"),
    sender("supplier_sender", "供应商送货角色", "E");
//    quality("supplier quality", "供应商质量角色", "A"),
//    finance("supplier finance", "供应商质量角色", "B"),
//    business("supplier business", "供应商质量角色", "C"),
//    deliver("supplier deliver", "供应商质量角色", "D");
    private final String code;
    private final String name;
    private final String suffix;

    /**
     * 默认构造函数
     */
    SupplierRoleType(String code, String name, String suffix) {
        this.code = code;
        this.name = name;
        this.suffix = suffix;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    public String getSuffix() {
        return suffix;
    }
}
